package org.dromara.elevator.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * 工作类型枚举
 *
 * @author ym
 * @version 1.0.0
 * @date 2024-09-11 15:42
 */
@Getter
@AllArgsConstructor
public enum WorkType {

    /**
     * 救援
     */
    RESCUE(1, "救援"),
    /**
     * 维修
     */
    REPAIR(2, "维修"),
    /**
     * 维保
     */
    MAINTENANCE(3, "维保");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 描述
     */
    private final String desc;

    /**
     * 获取工作类型
     *
     * @return 工作类型列表
     */
    public static List<Integer> getWorkTypes() {
        return Arrays.asList(RESCUE.getType(), REPAIR.getType(), MAINTENANCE.getType());
    }
}
